\documentclass[11pt]{article}

\pagestyle{empty}
\begin{document}\thispagestyle{empty}
I like to have 20--24 exercises in each section.
Obviously there are a number of factors.
These are the numbers of homework exercises in each.
\begin{center}
\begin{tabular}{r|l}
  \multicolumn{1}{c}{\textsc{Chap.sec}}
    &\multicolumn{1}{c}{\textsc{Exercises}}  \\
 \hline
 I.1 &29  \\
   2 &15  \\
   3 &29  \\
   4 &17  \\
 \hline
 II.1 &30  \\
    2 &23  \\
    3 &23  \\
    4 &17  \\
    5 &28  \\
    6 &18  \\
    7 &26  \\
    8 &25  \\
    9 &11 \\
 \hline
 III.1 &25 \\
     2 &26 \\
     3 &21 \\
 \hline
 IV.1 &32 \\
    2 &26 \\
    3 &27 \\
    4 &26 \\
    5 &24 \\
    6 &18 \\
    7 &17 \\
 \hline
  V.1 &34 \\
    2 &25 \\
    3 &31 \\
    4 &29 \\
    5 &26 \\
    6 &19 \\
    7 &25 \\
    8 &4 
\end{tabular}
\end{center}
\end{document}
